# vim: set ts=2 et:
openstack-services:
  services:
    mysql:
      charm: mysql
      constraints: mem=1G
      options:
        dataset-size: 50%
    ceph:
      charm: ceph
      num_units: 3
      constraints: mem=1G
      options:
        monitor-count: 3
        fsid: 6547bd3e-1397-11e2-82e5-53567c8d32dc
        monitor-secret: AQCXrnZQwI7KGBAAiPofmKEXKxu5bUzoYLVkbQ==
        osd-devices: /dev/vdb
        osd-reformat: "yes"
        ephemeral-unmount: /mnt
    keystone:
      charm: keystone
      constraints: mem=1G
      options:
        admin-password: openstack
        admin-token: ubuntutesting
    ceph-radosgw:
      charm: ceph-radosgw
      num_units: 3
      options:
        vip: "{{ MOJO_OS_VIP01 }}"
    cephrgw-hacluster:
      charm: hacluster
  relations:
    - [ keystone, mysql ]
    - [ ceph-radosgw, keystone ]
    - [ ceph-radosgw, ceph ]
    - [ ceph-radosgw, cephrgw-hacluster ]
precise-icehouse:
  inherits: openstack-services
  series: precise
  overrides:
    openstack-origin: cloud:precise-icehouse
    source: cloud:precise-updates/icehouse
trusty-icehouse:
  inherits: openstack-services
  series: trusty
trusty-liberty:
  inherits: openstack-services
  series: trusty
  overrides:
    openstack-origin: cloud:trusty-liberty
    source: cloud:trusty-liberty
trusty-mitaka:
  inherits: openstack-services
  series: trusty
  overrides:
    openstack-origin: cloud:trusty-mitaka
    source: cloud:trusty-mitaka
xenial-mitaka:
  inherits: openstack-services
  series: xenial
  overrides:
    ha-bindiface: ens2
xenial-newton:
  inherits: openstack-services
  series: xenial
  overrides:
    ha-bindiface: ens2
    openstack-origin: cloud:xenial-newton
    source: cloud:xenial-newton
yakkety-newton:
  inherits: openstack-services
  series: yakkety
  overrides:
    ha-bindiface: ens2
xenial-ocata:
  inherits: openstack-services
  series: xenial
  overrides:
    ha-bindiface: ens2
    openstack-origin: cloud:xenial-ocata
    source: cloud:xenial-ocata
zesty-ocata:
  inherits: openstack-services
  series: zesty
  overrides:
    ha-bindiface: ens2

